//instantiate a TimelineMax    
var tl = new TimelineMax({repeat:2});

	function init() {
		tl.set('#cta', {scale:0.90});
		tl.set('#cta', {autoAlpha:0, zIndex:-1});

		tl.set(".copy01", {x:-10, autoAlpha:0});
		tl.set(".copy02", {x:-10, autoAlpha:0});

		animation();
	}

	function animation() {
		tl.to("#overlay", 0.8, {autoAlpha:0});
		tl.to(".copy01", 0.5, {x:0, autoAlpha:1});
		tl.from(".huis", 2, {scale:0.90, rotation: 0.001, transformOrigin:'0% 50%', ease:Linear.easeNone}, "-=1.0");

		tl.to(".copy02", 0.5, {x:0, autoAlpha:1}, "-=0.0");

		tl.to(".huis", 0.5, {autoAlpha:0}, "+=2");

		tl.from('.hoek_donkergroen', 0.8, {autoAlpha:0, x:-$('.hoek_donkergroen').width() });
		tl.to('#cta', 0.5, {autoAlpha:1, zIndex:998}, "-=0.25");

		//animation of cta
		tl.to('#cta', 0.1, {scale:1.00, rotation: 0.001, transformOrigin:'50% 50%', delay:1.5});
		tl.to('#cta', 0.3, {scale:0.90, rotation: 0.001, transformOrigin:'50% 50%', delay:0.2});
		tl.to('#cta', 0.1, {scale:1.00, rotation: 0.001, transformOrigin:'50% 50%', delay:1.5});
		tl.to('#cta', 0.3, {scale:0.90, rotation: 0.001, transformOrigin:'50% 50%', delay:0.2});

		tl.to('#cta', 0.1, {autoAlpha:1, delay:3});

		addListeners();

	}

	function addListeners() {
		$( '#cta' ).hover(
		  function() {
	        console.log("in");
		    TweenMax.to('#cta', 0.1, {scale:1.00, rotation: 0.001, transformOrigin:'50% 50%'});
		  }, function() {
	        console.log("uit");
		    TweenMax.to('#cta', 0.3, {scale:0.90, rotation: 0.001, transformOrigin:'50% 50%'});   
		  }
		);
	}

